From cc1ae76bd09dc91b7ada120435539c3f60b2b2a4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 22:53:53 +0000
Subject: [PATCH 1107/2232] Remove redundant header branch from write_cxx_function_shim


These shims only get emitted in the non-header case in the first place.

---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index f259222..25f1b0b 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -496,10 +496,8 @@ fn write_exception_glue(out: &mut OutFile, apis: &[&Api]) {
 }
 
 fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, impl_annotations: &Option<String>) {
-    if !out.header {
-        if let Some(annotation) = impl_annotations {
-            write!(out, "{} ", annotation);
-        }
+    if let Some(annotation) = impl_annotations {
+        write!(out, "{} ", annotation);
     }
     if efn.throws {
         write!(out, "::rust::Str::Repr ");

